import request from "@/utils/request.js";

export function getCardList() {
	return request({
		url: '/api/pass/card',
		method: 'get'
	});
}

//pass/create
export function createPass(data) {
	return request({
		url: '/api/pass/create',
		method: 'post',
		data
	});
}

//获取广告信息
export function getGG() {
	// browse/data
	return request({
		url: '/api/browse/data',
		method: 'get'
	});
}

//browse/create
export function createGG(data) {
	// browse/data
	return request({
		url: '/api/browse/create',
		method: 'get',
		data
	});
}

//广告生效
export function ggGive(data) {
	return request({
		url: '/api/browse/valid',
		method: 'post',
		data
	});
}

//挂售
export function createGs(data) {
	return request({
		url: '/api/transaction/create',
		method: 'post',
		data
	});
}

//挂售列表
export function getGsList(data) {
	return request({
		url: '/api/pass/transaction',
		method: 'get',
		data
	});
}

//
export function passUser(data) {
	return request({
		url: '/api/pass/user',
		method: 'get',
		data
	});
}

export function tradeMoney(data) {
	return request({
		url: '/api/pass/trade_money',
		method: 'post',
		data
	});
}

export function passLst(data) {
	return request({
		url: '/api/pass/lst',
		method: 'get',
		data
	});
}

//买单
export function buyGs(data) {
	return request({
		url: '/api/pass/buy_order',
		method: 'post',
		data
	});
}

//取消挂售
export function qxGs(data) {
	return request({
		url: '/api/pass/cancel',
		method: 'post',
		data
	});
}

//上传凭证
export function upEvaluation(data) {
	return request({
		url: '/api/pass/up_evaluation',
		method: 'post',
		data
	});
}

//审核
export function auth(data) {
	return request({
		url: '/api/pass/auth',
		method: 'post',
		data
	});
}

//getCardInfo
export function getCardInfo(data) {
	return request({
		url: '/api/transaction/info',
		method: 'get',
		data
	});
}

export function createBuy(data) {
	return request({
		url: '/api/pass/buy_create',
		method: 'post',
		data
	});
}

export function goBuy(data) {
	return request({
		url: '/api/pass/buy_save',
		method: 'post',
		data
	});
}

export function cancelBuy(data) {
	return request({
		url: '/api/pass/buy_cancel',
		method: 'post',
		data
	});
}

export function lotteryLst() {
	return request({
		url: '/api/lottery/lst',
		method: 'get'
	});
}

export function getTreeList(data) {
	return request({
		url: '/api/fruiter/index',
		method: 'get',
		data
	});
}

export function getMyTrees(data) {
	return request({
		url: '/api/fruiter/order',
		method: 'get',
		data
	});
}

export function buyTree(data) {
	return request({
		url: '/api/fruiter/create',
		method: 'post',
		data
	});
}

export function getSpeedInfo(data) {
	return request({
		url: '/api/fruiter/speed',
		method: 'get',
		data
	});
}

export function getMyFruit(data) {
	return request({
		url: '/api/fruiter/goods',
		method: 'get',
		data
	});
}

export function setAuth(data) {
	return request({
		url: '/api/fruiter/status',
		method: 'post',
		data
	});
}

export function sell(data) {
	return request({
		url: '/api/fruiter/sell_goods',
		method: 'post',
		data
	});
}

export function getUser(data) {
	return request({
		url: '/api/fruiter/user',
		method: 'get',
		data
	});
}

export function fertilize(data) {
	return request({
		url: '/api/fruiter/speed_recommend_speed',
		method: 'post',
		data
	});
}
// Route::post('fruiter/status', 'store.FruiterController/status')->name('treestatus');//设置开关
// Route::get('fruiter/index', 'store.FruiterController/index')->name('treelst');//获取树信息
// Route::get('fruiter/info/:id', 'store.FruiterController/info')->name('treeinfo');//获取树信息
// Route::post('fruiter/create', 'store.FruiterController/create_order')->name('treecreate');//创建树
// Route::get('fruiter/order', 'store.FruiterController/order')->name('treeorder');//获取树订单
// Route::get('fruiter/goods', 'store.FruiterController/goods')->name('treegoods');//获取果子信息
// Route::get('fruiter/speed', 'store.FruiterController/speed')->name('treespeed');//获取加速信息
// Route::post('fruiter/sell_goods', 'store.FruiterController/sell_goods')->name('sell_goods');//出售果子信息
// Route::get('fruiter/speed_recommend_speed', 'store.FruiterController/speed_recommend_speed')->name('speed_recommend_speed');//施肥